> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get full report download URL

> Returns a URL to download a PDF report for the entire case and available attachments.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /case/id/{caseId}/report/pdf/download/url
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/id/{caseId}/report/pdf/download/url:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of the case to get a report for.
    get:
      tags:
        - Cases
      summary: Get full report download URL
      description: >-
        Returns a URL to download a PDF report for the entire case and available
        attachments.
      operationId: get-caseid-caseId-report-pdf-download-url
      responses:
        '200':
          description: >-
            The URL returned in this response is a self-signed S3 URL with a
            time to live (TTL) of 60 seconds. You have 60 seconds to begin the
            download, but once the download begins, it can take as long as
            needed. As many download attempts as needed can be made during the
            60-second period.
          content:
            text/html:
              schema:
                type: string
                format: uri
                example: >-
                  https://s3.amazonaws.com/stage.private.storage-bin.karmacheck.io/98704f90-2770-4999-ba01-453ef6d0deea-report.pdf?AWSAccessKeyId=ASIATUZWO5YBK7C3DIUH&Expires=1699391676&Signature=sL5Am9sMbvWSd8%2B%2F5CoejqsmeO4%3D&X-Amzn-Trace-Id=Root%3D1-654aa880-4e319ca04da8fe7c3faa6d1e%3BParent%3D3b8e51107e55b256%3BSampled%3D0%3BLineage%3D1dda0c46%3A0&x-amz-security-token=FwoGZXIvYXdzEIb%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaDML%2B7WMBiIwah8j4aiK7AVB2sHfQ5tkVkU4Okov%2BRz%2BB%2FMSg6XpdmcOmEb5hJAdg%2BEAxL%2Bt33yt3We5CJUf4auHXMr9huYmkLK%2FQtg3QJQS8CAcZKXPSCaAQ7Wn66D8%2Bpl3x5ppxmgzAONgfejqSfKrYgxl0Srr%2BuAHOz53R5ujbAUA9wwgvfXFoWlJZ4YHah%2BgjFFLzbva%2F4a63g5Mw0Nyngb3EoccWRRn4tEWlzavuGjXYffFcZo2jHT7GXr9eeLoK1sZ96c2jn9oo6cqqqgYyLT8yXkspVciOKVnnBS32UCjIS5rlwu7bL2bMJAW2ocIW0ymnVbak0qb1fMnp6w%3D%3D
        '403':
          description: >-
            Your token does not have access to the `caseId` requested, or the
            case is still in a status of pending and you do not have access to
            reports for cases that are still pending.
        '404':
          description: The report could not be found in the S3 bucket.
        '422':
          description: A data issue exists, or the report is not ready.
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````